aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-01-13 12:27:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-01-13 12:29:12 +0000
commite885a727a7e2225b0059758869fc25107a4c4d67 (patch)
treed8773c279482babd913cad1a75857389f7f78221
parentde9d949143bbcef9259f08a3b1f4a6b4dd8ed223 (diff)
downloadaports-e885a727a7e2225b0059758869fc25107a4c4d67.tar.gz
aports-e885a727a7e2225b0059758869fc25107a4c4d67.tar.bz2
aports-e885a727a7e2225b0059758869fc25107a4c4d67.tar.xz
testing/keybase-client: new aport
Keybase command line client https://github.com/keybase/client
-rw-r--r--testing/keybase-client/APKBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/testing/keybase-client/APKBUILD b/testing/keybase-client/APKBUILD
new file mode 100644
index 0000000000..2be9cc1566
--- /dev/null
+++ b/testing/keybase-client/APKBUILD
@@ -0,0 +1,45 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=keybase-client
+pkgver=1.0.7_p0
+_ver=${pkgver/_p/-}
+pkgrel=0
+pkgdesc="Keybase command line client"
+url="https://github.com/keybase/client"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev go"
+install=""
+subpackages=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/keybase/client/archive/v${_ver}.tar.gz"
+
+_builddir="$srcdir"/client-$_ver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$srcdir"
+ export GOPATH="$PWD"
+ export GO15VENDOREXPERIMENT=1
+ mkdir -p src/github.com/keybase
+ cp -r "$srcdir"/client-$_ver src/github.com/keybase/client
+ cd src/github.com/keybase/client/go/keybase
+ go build -v -a -tags production -o "$srcdir"/keybase
+}
+
+package() {
+ cd "$srcdir"
+ install -D keybase "$pkgdir"/usr/bin/keybase
+}
+
+md5sums="7cb13acb345e88cd0b0d114b3950ec8f keybase-client-1.0.7_p0.tar.gz"
+sha256sums="50db952880ed4f72825429dc595fe62196b181b9cbcc946b990e58a680fff3ff keybase-client-1.0.7_p0.tar.gz"
+sha512sums="ab69822c31d828c319ab93d8f8945bb0fbd40a6d664aa4ee0f8d9e60baf69670c862f0cc9619f9efe6a14bdb021acd40aad968c1d2b74cd884f8834fce083a0f keybase-client-1.0.7_p0.tar.gz"